---
sidebar_position: 2
description: Get record and other functions to work with Airtable in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Airtable]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get record
 Gets row data of the table by identifier



`Function GetRecord(Val Token, Val Base, Val Table, Val Record) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Base | --base | String | &#x2714; | Database identifier |
  | Table | --table | String | &#x2714; | Table identifier |
  | Record | --record | String | &#x2714; | Record identifier in the table |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Airtable



```bsl title="1C:Enterprise/OneScript code example"
    Token  = "patNn4BXW66Yx3pdj.5b93c53cab554a8387de02d...";
    Base   = "appFSHDVzJPNC6HRO";
    Table  = "tblJkLJDo8Oijuksc";
    Record = "recSgF1lFXxCfDjbD";

    Result = OPI_Airtable.GetRecord(Token, Base, Table, Record);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint airtable GetRecord \
             --token "***" \
             --base "app5EEUGKC7EHLcyz" \
             --table "tbl9MIP7k60xewSuH" \
             --record "recbGRe4a7NiqyYBl"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint airtable GetRecord ^
             --token "***" ^
             --base "app5EEUGKC7EHLcyz" ^
             --table "tbl9MIP7k60xewSuH" ^
             --record "recbGRe4a7NiqyYBl"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "id": "recbGRe4a7NiqyYBl",
 "createdTime": "2025-12-10T19:41:55Z",
 "fields": {
  "Number": 10,
  "String": "Hello\n"
 }
}
```
